package test.servlet;

import java.io.IOException;
import java.io.PrintWriter;
import java.sql.Connection;
import java.sql.DriverManager;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class ConnectionTest extends HttpServlet {

	@Override
	protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
		//クライアントに出力する準備
		resp.setContentType("text/html; charset=utf-8");
		PrintWriter pw = resp.getWriter();
		String message = null;
		Connection con = null;

		try{
			//JDBCドライバクラスの指定
			String drivername = "com.mysql.jdbc.Driver";

			//データベースを指定
			String url = "jdbc:mysql://localhost:3306/books";

			//ユーザー名
			String username = "root";

			//パスワード
			String password = "";

			//指定したドライバクラスを読み込み
			Class.forName(drivername);

			//データベースに接続
			con = DriverManager.getConnection(url, username, password);
			message = "データベースに接続できました。";
		}catch(Exception e){
			//エラーメッセージをセット
			message = "データベースに接続できませんでした。";
		}finally{
			try{
				//データベースに接続されていれば切断する
				if(con != null){
					con.close();
				}
			}catch(Exception e){
				message = "エラーが発生しました。";
			}
		}

		//クライアントにHTMLタグを書き出し
		pw.println("<html>");
		pw.println("<head>");
		pw.println("<title>データベースに接続する</title>");
		pw.println("</head>");
		pw.println("<body>");
		pw.println(message);
		pw.println("</body>");
		pw.println("</html>");
	}

}
